IDA python.plw: can’t load file

完整的错误提示是下面的样子:

1
2
3
4
5
6
7
8
9
10
11
12
 
LoadLibrary(F:\Crackl@b\Hex-Rays.IDA.Pro.Advanced.v6.1\ida61\plugins\python.plw) error: 找不到指定的模块。
 
F:\Crackl@b\Hex-Rays.IDA.Pro.Advanced.v6.1\ida61\plugins\python.plw: can't load file
 
00:12:07 zynamics BinDiff 4.0.1 15146 (Dec 21 2011) - (c)2004-2011 Google Inc.
 
00:12:07 zynamics BinExport 5 15136 (Dec 21 2011) - (c)2004-2011 Google Inc.
 
LoadLibrary(F:\Crackl@b\Hex-Rays.IDA.Pro.Advanced.v6.1\ida61\plugins\python.plw) error: 找不到指定的模块。
 
F:\Crackl@b\Hex-Rays.IDA.Pro.Advanced.v6.1\ida61\plugins\python.plw: can't load file


这个问题其实存在了好久了,但是一直没有用到IDA Python的相关内容于是也就没怎么折腾,想到可能是环境变量的原因。但是感觉Python安装包 应该会处理这个环境变量的问题,不至于这么2b,于是写了一个简单的程序测试了一下发现果然是没有添加环境变量导致python26.dll找不到,但是ida并不会给出详细的错误信息。

其实代码很简单,就几行,哈哈

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
.386
.model flat, stdcall ;32 bit memory model
option casemap :none ;case sensitive
 
include Test Project.inc
 
;--------------------------------------------------------------------------------
;If you are doing source code breakpoints, this file must be included.
;You don't need it with int 3 breakpoints.
include \radasm\masm\inc\radbg.inc
;--------------------------------------------------------------------------------
.data
lplib db 'F:\Crackl@b\Hex-Rays.IDA.Pro.Advanced.v6.1\ida61\plugins\python.plw',0
 
.code
 
start:
invoke LoadLibrary,offset lplib
end start

直接把python的目录添加到系统的环境变量中试试。

哈哈,那个蛋疼的错误提示木有了。一切正常,另外安装的ida python版本要与系统安装的python版本一致,要不添加了环境变量也木有用,嘎嘎。

原创文章,转载请注明: 转载自 obaby@mars

本文标题: 《IDA python.plw: can’t load file》

本文链接地址: http://h4ck.org.cn/2012/03/ida-python-plw-cant-load-file/

You may also like

6条评论

  1. 您好,我在IDA5.5 下用BinDiff 4.01 也遇到加载失败的问题, 我也试着把 BinDiff的路径放到环境变量中, 好像不行, 不知道是不是BinDiff 4.01不适用IDA5.5啊,博主有没有适合IDA5.5的BinDiff呢

发表评论

电子邮件地址不会被公开。 必填项已用*标注